View Issue Details

IDProjectCategoryView StatusLast Update
0004795Talermechant backendpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityurgentSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004795: Map hashes to contracts
DescriptionThe backend should offer a way to store in DB the plain contract and its hash.

The reason is that FEs need contracts details when tracking transactions, and
right now they can only get the contract's hashcode.

Ideally, the FE would keep the reconstructed plain contract in the state, and call this service once the payment went through.
TagsNo tags attached.

Activities

Marcello Stanisci

2016-12-08 17:23

manager   ~0011583

Marking urgent as this makes backoffice nicer

Marcello Stanisci

2016-12-12 17:34

manager   ~0011586

As of e74140b:

adding /map/in /map/out HTTP handlers, see [1],
and extendig merchant-lib to use these services.
testcases (both 'backenddb' and 'lib') updated accordingly.

Issue History

Date Modified Username Field Change
2016-11-17 14:30 Marcello Stanisci New Issue
2016-11-17 14:30 Marcello Stanisci Status new => assigned
2016-11-17 14:30 Marcello Stanisci Assigned To => Marcello Stanisci
2016-11-18 00:23 Christian Grothoff Product Version => SVN HEAD
2016-11-18 00:23 Christian Grothoff Target Version SVN HEAD =>
2016-12-08 17:23 Marcello Stanisci Priority normal => urgent
2016-12-08 17:23 Marcello Stanisci Note Added: 0011583
2016-12-12 17:34 Marcello Stanisci Status assigned => resolved
2016-12-12 17:34 Marcello Stanisci Resolution open => fixed
2016-12-12 17:34 Marcello Stanisci Note Added: 0011586
2017-01-16 10:22 Christian Grothoff Fixed in Version => 0.3
2017-01-16 10:22 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed